
package info.textgrid._import;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ImportMode.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ImportMode">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="import"/>
 *     &lt;enumeration value="export"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ImportMode")
@XmlEnum
public enum ImportMode {

    @XmlEnumValue("import")
    IMPORT("import"),
    @XmlEnumValue("export")
    EXPORT("export");
    private final String value;

    ImportMode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ImportMode fromValue(String v) {
        for (ImportMode c: ImportMode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
